import React from 'react';
import { Link } from 'dva/router';
import PageHeader from '../components/PageHeader';

export default ({ children, wrapperClassName, top, ...restProps }) => (
  <div className={wrapperClassName}>
    {top}
    <PageHeader key="pageheader" {...restProps} linkElement={Link}>
      {children ? <div>{children}</div> : null}
    </PageHeader>
  </div>
);
